# Enable support for RDF
%bcond_without perl_HTTP_Link_Parser_enables_rdf

Name:           perl-HTTP-Link-Parser
Version:        0.200
Release:        3%{?dist}
Summary:        Parse HTTP Link headers
# COPYRIGHT:    Public Domain
# CONTRIBUTING: CC-BY-SA
# LICENSE:      MIT
License:        MIT and CC-BY-SA and Public Domain
URL:            https://metacpan.org/release/HTTP-Link-Parser
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/HTTP-Link-Parser-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(:VERSION) >= 5.10
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(overload)
%if %{with perl_HTTP_Link_Parser_enables_rdf}
BuildRequires:  perl(RDF::Trine) >= 0.135
%endif
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Exporter)
%if %{with perl_HTTP_Link_Parser_enables_rdf}
Requires:       perl(RDF::Trine) >= 0.135
%endif
Requires:       perl(warnings)

%description
HTTP::Link::Parser parses HTTP "Link" headers found in an HTTP::Response
object. Headers should conform to the format described in RFC 5988.

%prep
%setup -q -n HTTP-Link-Parser-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING COPYRIGHT CREDITS README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.200-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.200-2
- Perl 5.30 rebuild

* Thu May 02 2019 Petr Pisar <ppisar@redhat.com> 0.200-1
- Specfile autogenerated by cpanspec 1.78.
